Subject: Re: linux-next: manual merge of the at91 tree with the arm-soc tree

From: Nicolas Ferre <[email-masked]>
Date: Thu, 24 Nov 2011 11:47:36 +0100

On 11/24/2011 10:56 AM, Jamie Iles :
> Hi Stephen,
> 
> On Thu, Nov 24, 2011 at 12:16:11PM +1100, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the at91 tree got conflicts in
>> arch/arm/mach-at91/board-cap9adk.c, arch/arm/mach-at91/board-cpu9krea.c,
>> arch/arm/mach-at91/board-cpuat91.c,
>> arch/arm/mach-at91/board-snapper9260.c and
>> arch/arm/mach-at91/include/mach/board.h between commit 84e0cdb0a262
>> ("macb: unify at91 and avr32 platform data") from the arm-soc tree and
>> commit 1509f4847dd1 ("at91/boards: use -EINVAL for invalid gpio") from
>> the at91 tree.
>>
>> I fixed them up (see below) and can carry the fix as necessary.
>>
>> However, it looks to me that struct macb_platform_data (in
>> include/linux/platform_data/macb.h) will need its phy_irq_pin members
>> changed to int as well (which may have other consequences).
> 
> That looks correct to me.  I've just posted a patch to convert 
> phy_irq_pin to an int and from inspection that shouldn't break anything 
> by itself.

Good, I will Acknowledge it.

> The macb driver doesn't currently use the phy_irq_pin member, but the 
> at91_ether driver does and that compares to 0 for no IRQ so the 
> assignment of -EINVAL _could_.

Yes indeed, I have a patch to address that and I send it now. However, I
guess that this will go on top of Jean-Christophe's gpio patch series.

Best regards,
-- 
Nicolas Ferre